from pydantic import BaseModel


class ImportReportRecordType(BaseModel):
    name: str
    count: int


class ImportReport(BaseModel):
    message: str = "OK"
    types: list[ImportReportRecordType] = []


def get_readable_error(err: str) -> str:
    return err.split("\n")[0]


def get_readable_errors(task_run_errors: dict[str, str]) -> dict[str, str]:
    return {task_id: err.split("\n")[0] for task_id, err in task_run_errors.items()}
